From: Hideki Yamane <henrich@debian.org>
Date: Sun, 8 Dec 2019 20:49:00 +0900
Subject: use 2to3

---
 python/xgflib.py | 34 +++++++++++++++++-----------------
 1 file changed, 17 insertions(+), 17 deletions(-)

diff --git a/python/xgflib.py b/python/xgflib.py
index 8700512..722738a 100644
--- a/python/xgflib.py
+++ b/python/xgflib.py
@@ -9,10 +9,10 @@ from time import time
 try:
     import libxml2
 except ImportError:
-    print """
+    print("""
     Xgridfit depends on libxml2 and its Python bindings.
     Install these and try again.
-    """
+    """)
     exit(1)
 
 VERSION = '2.2'
@@ -280,7 +280,7 @@ class SaxonProcessor(XSLTProcessor):
         XSLTProcessor.__init__(self, config, f, x, p, need_xinclude)
     def make_params(self, params):
         param_list = []
-        for k in params.keys():
+        for k in list(params.keys()):
             param_list.append(k + '=' + params[k])
         return param_list
 
@@ -342,7 +342,7 @@ class XalanJProcessor(XSLTProcessor):
     def run(self):
         diagnostic_message('Running xalan-j processor ...')
         param_list = []
-        for k in self.params.keys():
+        for k in list(self.params.keys()):
             param_list += ['-param', k, self.params[k]]
         start_args = [JAVA_EXECUTABLE,
                       '-classpath',
@@ -371,7 +371,7 @@ class XsltprocProcessor(XSLTProcessor):
     def run(self):
         diagnostic_message('Running xsltproc processor ...')
         param_list = []
-        for k in self.params.keys():
+        for k in list(self.params.keys()):
             this_param = ['--stringparam', k, self.params[k]]
             param_list += this_param
         start_args = ['xsltproc']
@@ -398,7 +398,7 @@ class XalanCProcessor(XSLTProcessor):
     def run(self):
         diagnostic_message('Running xalan-c processor ...')
         param_list = []
-        for k in self.params.keys():
+        for k in list(self.params.keys()):
             param_list += ['-param', k, "'" + self.params[k] + "'"]
         start_args = ['xalan', '-in', self.xgffile, '-xsl', self.xslfile]
         try:
@@ -436,7 +436,7 @@ class LibxsltProcessor(XSLTProcessor):
         styledoc = libxml2.parseFile(self.xslfile)
         style = libxslt.parseStylesheetDoc(styledoc)
         newparams = dict()
-        for k in self.params.keys():
+        for k in list(self.params.keys()):
             newparams[k] = "'" + str(self.params[k]) + "'"
         libxslt.registerErrorHandler(self.libxsltError,
                                      style.newTransformContext(xgfdoc))
@@ -475,7 +475,7 @@ class LxmlProcessor(XSLTProcessor):
         styledoc = etree.parse(self.xslfile)
         transform = etree.XSLT(styledoc)
         newparams = {'silent_mode': "'yes'"}
-        for k in self.params.keys():
+        for k in list(self.params.keys()):
             newparams[k] = "'" + self.params[k] + "'"
         # Since lxml won't display messages while running, suppress the
         # routine ones.
@@ -892,7 +892,7 @@ do not check")
         # Extract all the params that have got to be passed to the
         # XSLT processor and put them in self.params (but we pass
         # 'yes' not True).
-        for k in opts.__dict__.keys():
+        for k in list(opts.__dict__.keys()):
             if k in self.params:
                 int_val = opts.__dict__[k]
                 if int_val is not None:
@@ -904,7 +904,7 @@ do not check")
                         int_val = str(int_val)
                     self.params[k] = int_val
         # Discard any undefined params.
-        for k in self.params.keys():
+        for k in list(self.params.keys()):
             if self.params[k] is None:
                 del self.params[k]
         if DISPLAY_DIAGNOSTIC_MESSAGES:
@@ -1008,20 +1008,20 @@ class Configuration():
         else:
             stdout.write("None (this is the default configuration)")
         stdout.write("\n")
-        print "Processors in order of preference:"
+        print("Processors in order of preference:")
         for p in self.processor_priority:
             stdout.write("  " + p)
             if p in self.jar_files:
                 stdout.write(" (" + self.jar_files[p] + ")")
             stdout.write("\n")
-        print "Validators in order of preference:"
+        print("Validators in order of preference:")
         for v in self.validator_priority:
             stdout.write("  " + v)
             if v in self.jar_files:
                 stdout.write(" (" + self.jar_files[v] + ")")
             stdout.write("\n")
-        print "Xgridfit base directory: "
-        print " ", XGRIDFIT_DIR
+        print("Xgridfit base directory: ")
+        print(" ", XGRIDFIT_DIR)
     def __processor_jar_files_changed(self):
         """ True if the current list of processor jar files differs from the default """
         changed = False
@@ -1209,7 +1209,7 @@ def run_xgridfit(xgfdir="/usr/share/xml/xgridfit/"):
     # Parse the command line.
     options_and_args = OptionsAndArgs()
     if options_and_args.version:
-        print VERSION
+        print(VERSION)
         return True
     # Choose the XSLT script we want.
     xsl_file = 'xgridfit-python.xsl'
@@ -1319,7 +1319,7 @@ def run_xgridfit(xgfdir="/usr/share/xml/xgridfit/"):
         if not error_free:
             break
     if options_and_args.elapsed_time:
-        print "Elapsed time:", time() - start_time
+        print("Elapsed time:", time() - start_time)
     return error_free
 
 def run_config(xgfdir="/usr/share/xml/xgridfit/"):
@@ -1442,7 +1442,7 @@ def run_ttx2xgf(xgfdir="/usr/share/xml/xgridfit/"):
             stderr.write(str(d) + "\n")
             error_free = False
     if options_and_args.elapsed_time:
-        print "Elapsed time:", time() - start_time
+        print("Elapsed time:", time() - start_time)
     return error_free
 
 def run_xgfmerge(xgfdir="/usr/share/xml/xgridfit/"):
